MKLOGFS(8)

NAME
mklogfs - create a LogFS filesystem.

SYNOPSIS
mklogfs [OPTIONS] DEVICE

DESCRIPTION
LogFS is a scalable flash filesystem. It is aimed to replace JFFS2 for most uses, but focuses more on large devices. JFFS2 works well enough on small devices, it just gets slow and uses up too much memory on larger ones.

OPTIONS

-c, --compress
    turn compression on.

-h, --help
    display help.

-s, --segshift
    segment shift in bits.

-w, --writeshift
    write shift in bits.

--demo-mode
    skip bad block scan; don't erase device.

--non-interactive
    turn off safety question before writing.

Segment size and write size are powers of two. To specify them, the appropriate power is specified with the "-s" or "-w" options, instead of the actual size. E.g. "mklogfs -w8" will set a writesize of 256 Bytes (2^8).

AUTHOR
mklogfs was written by Joern Engel <joern@lazybastard.org>.

This manual page was written by Daniel Baumann <daniel.baumann@progress-technologies.net>.